Loading...
Searching...
No Matches
WGPUDepthStencilState Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPUTextureFormat | format
WGPUBool | depthWriteEnabled
WGPUCompareFunction | depthCompare
WGPUStencilFaceState | stencilFront
WGPUStencilFaceState | stencilBack
uint32_t | stencilReadMask
uint32_t | stencilWriteMask
int32_t | depthBias
float | depthBiasSlopeScale
float | depthBiasClamp

## Detailed Description

Definition at line 1800 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUDepthStencilState::nextInChain

Definition at line 1801 of file mini_webgpu.h.

## format

WGPUTextureFormat WGPUDepthStencilState::format

Definition at line 1802 of file mini_webgpu.h.

## depthWriteEnabled

WGPUBool WGPUDepthStencilState::depthWriteEnabled

Definition at line 1803 of file mini_webgpu.h.

## depthCompare

WGPUCompareFunction WGPUDepthStencilState::depthCompare

Definition at line 1804 of file mini_webgpu.h.

## stencilFront

WGPUStencilFaceState WGPUDepthStencilState::stencilFront

Definition at line 1805 of file mini_webgpu.h.

## stencilBack

WGPUStencilFaceState WGPUDepthStencilState::stencilBack

Definition at line 1806 of file mini_webgpu.h.

## stencilReadMask

uint32_t WGPUDepthStencilState::stencilReadMask

Definition at line 1807 of file mini_webgpu.h.

## stencilWriteMask

uint32_t WGPUDepthStencilState::stencilWriteMask

Definition at line 1808 of file mini_webgpu.h.

## depthBias

int32_t WGPUDepthStencilState::depthBias

Definition at line 1809 of file mini_webgpu.h.

## depthBiasSlopeScale

float WGPUDepthStencilState::depthBiasSlopeScale

Definition at line 1810 of file mini_webgpu.h.

## depthBiasClamp

float WGPUDepthStencilState::depthBiasClamp

Definition at line 1811 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h